/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-19 at 21:06:13 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.audit.model;

/**
 * Model definition for Activities.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise Audit API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Activities extends com.google.api.client.json.GenericJson {

  /**
   * Each record in read response.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Activity> items;

  /**
   * Kind of list response this is.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Next page URL.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String next;

  /**
   * Each record in read response.
   * @return value or {@code null} for none
   */
  public java.util.List<Activity> getItems() {
    return items;
  }

  /**
   * Each record in read response.
   * @param items items or {@code null} for none
   */
  public Activities setItems(java.util.List<Activity> items) {
    this.items = items;
    return this;
  }

  /**
   * Kind of list response this is.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Kind of list response this is.
   * @param kind kind or {@code null} for none
   */
  public Activities setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Next page URL.
   * @return value or {@code null} for none
   */
  public java.lang.String getNext() {
    return next;
  }

  /**
   * Next page URL.
   * @param next next or {@code null} for none
   */
  public Activities setNext(java.lang.String next) {
    this.next = next;
    return this;
  }

  @Override
  public Activities set(String fieldName, Object value) {
    return (Activities) super.set(fieldName, value);
  }

  @Override
  public Activities clone() {
    return (Activities) super.clone();
  }

}
